Bug 64771 - Updating from 7.2 to 7.3 then using up2date yields 557 "outdated" packages in RHN
Updating from 7.2 to 7.3 then using up2date yields 557 "outdated" packages in...
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2002-05-10 14:40 EDT by William Mulvihill
Modified: 2015-01-07 18:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-15 15:36:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description William Mulvihill 2002-05-10 14:40:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
I had a fully updated (with up2date) RH 7.2 machine that I installed the 7.3
update on top of (in other words, didn't reformat, start from scratch).  I then
checked in with up2date to get the latest updates for 7.3.  I successfully
downloaded the 4 packages that I needed (new kernel, perl thing, evolution,
etc.) and they installed.  Then I went to check out my profile of the system at
the RedHat Network site (https://rhn.redhat.com).  After logging in, it told me
that I didn't have any applicable Errata (duh, I just ran up2date), but that I
had an "Out of Date" system.  hrmmm.  I clicked on the revelant system and it
told me I had 557 outdated packages for my system.  WHAT?  So I clicked on the
link to see what the outdated packages were.  I compared them with what I had on
my system and the funny thing is that I had the latest versions, but it just
didn't know it.  NOTE:  The actual number of "outdated" packages will probably
vary from system to system, 557 is my number.  So I remembered that you can
update your package profile with up2date so I did that (up2date -p) and doing
that made this problem go away.  

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1.Have a RH 7.2 system
2."Update an existing System" using the RH 7.3 CDs.  
3.Run up2date after finishing upgrading.
4.Check your system profiles at https://rhn.redhat.com
5.Actual number of packages that will show as "outdated" is different for every
system (in my case it was 557).   

Actual Results:  You supposedly have lots of outdated packages when you really

Expected Results:  Having checked in with up2date, it should realize you have
upgraded to a different version and update the package profile.  Upgrading
system versions (not kernel version, I mean going from RedHat 7.2 to 7.3) should
be cause for up2date to refresh the package profile without user-intervention.

Additional info:

Up2date could easily check the /etc/redhat-release file very quickly to see if
we have changed versions.  This would then set off a package refresh.  

I can't reproduce this only because I don't want to regress my machine and then
try it again (got a lot of data saved!).
Comment 1 Nathan G. Grennan 2002-05-13 04:02:49 EDT
I bet this will be declared NOTABUG. You realized the answer was up2date -p to
update your profile. If you were running rhnsd it would have fixed this after 12
hours when it sent in a update profile.
Comment 2 Adrian Likins 2002-05-15 15:15:01 EDT
was it up2date itself claiming you had 557 packages to upgrade? or
the rhn applet?

Everything up2date starts it checks to see if the system has
been upgraded, and updates the version. Updating the package
list at this point is probabaly a good idea. I'll make sure
the client does that from now on.
Comment 3 William Mulvihill 2002-05-15 15:36:09 EDT
Up2date did not claim I had 557 packages to upgrade, the rhn applet did (at
https://rhn.redhat.com).  Before I did up2date -p to fix this for myself, I ran
up2date again thinking I had missed some packages or something.  up2date told me
there were no packages to upgrade.  Thanks for your reply.
Comment 4 Adrian Likins 2002-08-08 23:22:22 EDT
it's actually a subtle hard to trigger rhn_applet bug thats since been
fixed. Since it's currently fixed, and it's a relatively harmless
bug, I'm going to close this out.
Comment 5 Bill Peck 2003-05-27 11:27:54 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.